For the complete documentation index, see llms.txt. This page is also available as Markdown.

Move message

Move a single message to a target folder.

Move message

post

Move a single message to a target folder.

Authorizations
AuthorizationstringRequired

Bearer authentication using API tokens in the Authorization header.

Path parameters
mailboxResourceIdstringRequired

Resource ID of the managed mailbox the bearer token is authorized for.

Example: AC1a2b3c4d5e6f7g
folderstringRequired

Source folder path (URL-encoded).

Example: INBOX
uidinteger · min: 1Required

Message UID.

Example: 42
Body

Body for moving a single message to a target folder.

targetFolderstring · min: 1 · max: 100Required

Destination folder path.

Example: INBOX.Sent
Responses
204

Message moved successfully.

No content

post/api/v1/mailboxes/{mailboxResourceId}/folders/{folder}/messages/{uid}/move
POST /api/v1/mailboxes/{mailboxResourceId}/folders/{folder}/messages/{uid}/move HTTP/1.1
Host: api.mail.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "targetFolder": "INBOX.Sent"
}

No content

Last updated

Was this helpful?